| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

## Public Attributes
EdgeList | edges
| The edges themselves. More...
size_t | triCount
| Number triangles of this edge group. More...
size_t | triStart
| Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array. More...
const VertexData * | vertexData
| Pointer to vertex data used by this edge group. More...
size_t | vertexSet
| The vertex set index that contains the vertices for this edge group. More...

## Detailed Description

A group of edges sharing the same vertex data.

## Member Data Documentation

## ◆ vertexSet

size_t Ogre::EdgeData::EdgeGroup::vertexSet

The vertex set index that contains the vertices for this edge group.

## ◆ vertexData

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

Pointer to vertex data used by this edge group.

## ◆ triStart

size_t Ogre::EdgeData::EdgeGroup::triStart

Index to main triangles array, indicate the first triangle of this edge group, and all triangles of this edge group are stored continuous in main triangles array.

## ◆ triCount

size_t Ogre::EdgeData::EdgeGroup::triCount

Number triangles of this edge group.

## ◆ edges

EdgeList Ogre::EdgeData::EdgeGroup::edges

The edges themselves.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h